curl --request PUT \
--url https://api.us.cr4ce.com/chapter/{chapter_slug} \
--header 'Accept: <accept>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"status": "active",
"translated": {
"name": {
"en_GB": "North America"
},
"image_heading": {
"en_GB": "Regional chapter banner"
}
},
"max_image_width": 1200,
"managers": [
"PqRsTuVw",
"YzAbCdEf"
]
}
'import requests
url = "https://api.us.cr4ce.com/chapter/{chapter_slug}"
payload = {
"status": "active",
"translated": {
"name": { "en_GB": "North America" },
"image_heading": { "en_GB": "Regional chapter banner" }
},
"max_image_width": 1200,
"managers": ["PqRsTuVw", "YzAbCdEf"]
}
headers = {
"Accept": "<accept>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Accept: '<accept>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
status: 'active',
translated: {
name: {en_GB: 'North America'},
image_heading: {en_GB: 'Regional chapter banner'}
},
max_image_width: 1200,
managers: ['PqRsTuVw', 'YzAbCdEf']
})
};
fetch('https://api.us.cr4ce.com/chapter/{chapter_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": "2024-12-12T09:41:21Z",
"description": {
"en_GB": "Chapter for the Glenlivet region."
},
"managers": [
{
"slug": "AbCdEfGh",
"link": "https://api.au.cr4ce.com/user/AbCdEfGh",
"first_name": "John",
"last_name": "Smith"
},
{
"slug": "CdEfGhIj",
"link": "https://api.au.cr4ce.com/user/CdEfGhIj",
"first_name": "Carol",
"last_name": "Murphy"
}
],
"name": {
"en_GB": "Glenlivet"
},
"season": {
"slug": "EfGhIjKl",
"link": "https://api.au.cr4ce.com/season/EfGhIjKl",
"name": {
"en_GB": "2026"
}
},
"slug": "GhIjKlMn",
"status": "Active",
"updated": "2026-04-13T13:45:50Z"
}{
"message": "<string>",
"status_code": 400
}{
"message": "<string>",
"status_code": 401
}{
"message": "<string>",
"status_code": 403
}{
"message": "<string>",
"status_code": 404
}{
"message": "<string>",
"status_code": 422,
"errors": {}
}{
"message": "<string>",
"status_code": 429
}{
"status": "Maintenance in progress"
}Update chapter
Update the chapter identified by the specified slug.
Authorizations
API key used to authenticate and authorise every request.
Include it in the x-api-key header.
Headers
Defines the response type.
application/vnd.Creative Force.v2.3+json, application/vnd.Creative Force.v2.3+xml Defines the languages included in the response. If non are provided, the account default language is returned.
Value all overrides any other values present.
You can request multiple languages using a comma-separated string of languages.
The selected language must be supported by your account or a 400 error is returned.
all, ar_AR, bg_BG, bn_IN, ca_ES, cs_CZ, cy_GB, da_DK, de_DE, en_GB, en_US, el_GR, es_NN, es_LA, et_EE, fa_NN, fi_FI, fr_FR, fr_CA, he_IL, hi_IN, hr_HR, hu_HU, hy_AM, it_IT, ja_JP, ko_KR, lt_LT, ms_MY, nl_NL, nb_NO, pl_PL, pt_BR, ro_RO, ru_RU, sk_SK, sl_SI, sq_AL, sr_RS, sv_SE, sw_NN, th_TH, tr_TR, uk_UA, vi_VN, zh_CN, zh_HK Path Parameters
Slug of the chapter.
^[A-Za-z]{8}$Body
Chapter update payload.
Response
Chapter updated.
Grouping that categories can be made available in.
Date and time when the chapter was created.
Description shown for the chapter, as a map of translated strings keyed by locale code.
Show child attributes
Show child attributes
Users who manage the chapter.
Show child attributes
Show child attributes
Display name of the chapter, as a map of translated strings keyed by locale code.
Show child attributes
Show child attributes
Season the chapter belongs to.
Show child attributes
Show child attributes
Short URL-safe identifier for the chapter.
Localized status label for the chapter, such as Active or Inactive, distinct from the active/inactive enum used when writing a chapter.
Date and time when the chapter was last updated.